Bug 163123 - Problem with /etc/sysconfig/network-scripts/ifup-wireless (and others)
Problem with /etc/sysconfig/network-scripts/ifup-wireless (and others)
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2005-07-12 23:55 EDT by J Dean Brock
Modified: 2014-03-16 22:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: 8.12-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-13 13:40:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description J Dean Brock 2005-07-12 23:55:21 EDT
My /etc/sysconfig/networking/devices/ifcfg-wlan0 (as generated by the sysconfig
utilities) contains the line:
  RATE='54 Mb/s'

When I boot my system (before a fix), I got the message:
   Error: unrecognised wireless request "Mb/s"

In /etc/sysconfig/network-scripts/ifup-wireless, there is a line:
   iwconfig $DEVICE rate $RATE

If I change this line to
   iwconfig $DEVICE rate "$RATE"
I don't get the message when I boot

It could be that the problem is really in the config scripts that
write ifcfg-wlan0.  Maybe they should have put '54M' into
the file rather than '54 Mb/s'?

Version of release notes this bug refers to:

Fedora Core 4 final release
Comment 1 Karsten Wade 2005-07-13 01:26:52 EDT
Sorry, I don't see the relationship to the release notes.

rpm -qf /etc/sysconfig/network-scripts/ifup-wireless

Reassigning to initscripts owner.
Comment 2 Bill Nottingham 2005-07-13 13:40:03 EDT
RATE enclosed in quotes in CVS, will be in 8.12-1 - thanks!

Note You need to log in before you can comment on or make changes to this bug.